Selecting Java Version on Mac OSX 10.5 (Leopard)

Java Preferences (Macintosh)

I just downloaded the latest version of the wonderful, realtime SNMP monitoring application, asithappens. I'd had some problems getting the last few 0.5x versions to run properly but hadn't bothered to track down what was going on because the older version did what I needed. This morning a new feature, which allows you to monitor any OID, piqued my interest and I persisted.

I grabbed some debugging information and fired it off to Mark Abrahams, the developer. This evening when I got home from Wellington's first Python User Group I had a response from Mark saying that the problem was probably because I was using Java version 5 instead of 6 and that if I couldn't upgrade the work around is to add "device.ports.ifalias = 0" to the "asithappens.properties" file.

With a hunt around my Mac I found an application I'd never noticed before, "/Applications/Utilities/Java Preferences". Running it clearly shows that Leopard has both version 5 and 6 installed but that version 5 was the default. To change all I had to do was go to the "General" tab, then under the "Java application versions" section drag "J2SE 5.0" below "Java SE 6".

Nice! I like it when there are simple solutions. Thanks to Mark for writing awesome software and supporting to so graciously. Thanks Apple for making this change easy.